
#include "font.h"


Font::Font ( const char * fontFilePath )
  : ftglfont( fontFilePath )
{
  ftglfont.FaceSize( 32 );
  m_scale = 0.2;
  //ftglfont.Advance( "pyfgcrlaoeuidhtnsqjkxbmwvz" );
}


Font::~Font ()
{
}


void Font::setScale ( const float scale )
{
  m_scale = scale;
}


void Font::print ( const char * text, const vec_2f & pos )
{
  glMatrixMode( GL_MODELVIEW );
  glPushMatrix();
  glLoadIdentity();
  glTranslatef( pos.x, pos.y, 0.0 );
  glScalef( m_scale, -m_scale, 0.0 );
  ftglfont.Render( text );
  glPopMatrix();
}
