#ifndef FONT_H
#define FONT_H

#include <string>
#include <SDL/SDL_opengl.h>
#include <FTGL/FTGLTextureFont.h>
#include "../geom/vec_2f.h"

class Font
{
  public:
    Font ( const char * fontFilePath );
    ~Font ();

    void setScale ( const float scale );

    void print ( const char * text, const vec_2f & pos );

  private:
    FTGLTextureFont ftglfont;
    float m_scale;
};

#endif // FONT_H
