#ifndef MATHOPS_H
#define MATHOPS_H


// Sree Kotay's RealToInt, minus some compatability (assume little endian, etc)
// NOTE: this seems to break with -O2, -O3
inline int fastfloor ( double fval )
{
  fval = fval + 68719476736.0*1.5;
  return *((int*)&fval) >> 16;
}


#endif // MATHOPS_H
